## zerofree 1.0.2

=== Makefile ===
CC=gcc

all: zerofree.c
	$(CC) -o zerofree -lext2fs zerofree.c

clean:
	/bin/rm -f *.o *~ zerofree

## zerofree 1.0.1

=== debian/changelog ===
zerofree (1.0.1-2) unstable; urgency=low

  * Bug fix: "Manpage refers to bogus command 'remount'", thanks
    to Ben Finney (Closes: #533606).
  * Bug fix: "Description does not contain the word 'unused'",
    thanks to Willi Mann (Closes: #504697).
  * Check against policy 3.8.3.
  * Set DM-Upload-Allowed field.
  * Convert to 3.0 (quilt) format.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 25 Nov 2009 17:51:44 +0100

zerofree (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #462091)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri,  8 Feb 2008 16:28:19 +0100

=== debian/control ===
Source: zerofree
Section: admin
Priority: extra
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5), e2fslibs-dev, docbook-to-man
Standards-Version: 3.8.3
DM-Upload-Allowed: yes

Package: zerofree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zero free blocks from ext2/3 file-systems
 Zerofree finds the unallocated, non-zeroed blocks in an ext2 or ext3
 file-system and fills them with zeroes. This is useful if the device
 on which this file-system resides is a disk image. In this case,
 depending on the type of disk image, a secondary utility may be able
 to reduce the size of the disk image after zerofree has been
 run. Zerofree requires the file-system to be unmounted or mounted
 read-only.
 .
 The usual way to achieve the same result (zeroing the unused
 blocks) is to run "dd" do create a file full of zeroes that takes up
 the entire free space on the drive, and then delete this file. This
 has many disadvantages, which zerofree alleviates:
  * it is slow;
  * it makes the disk image (temporarily) grow to its maximal extent;
  * it (temporarily) uses all free space on the disk, so other
    concurrent write actions may fail.
 .
 Zerofree has been written to be run from GNU/Linux systems installed
 as guest OSes inside a virtual machine. If this is not your case, you
 almost certainly don't need this package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CC = gcc $(CFLAGS)

build: build-stamp

build-stamp: zerofree.c debian/zerofree.sgml
	dh_testdir
	$(MAKE) CC="$(CC)"
	docbook-to-man debian/zerofree.sgml > zerofree.8
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp zerofree.8
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## zerofree 1.0.2

=== debian/changelog ===
zerofree (1.0.2-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/01_fix-as-needed-linking.diff:
      Move -lext2fs to the end of the linker call.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 17 Jun 2012 21:19:37 +0530

zerofree (1.0.2-1) unstable; urgency=low

  * New upstream release (includes patch "fillval" from 1.0.1-4).
  * Bug fix: "zerofree (1.0.1-4) - please enable hardening flags", thanks
    to Dr. Markus Waldeck (Closes: #675905).
  * Add build-dep on w3c-dtd-xhtml to work around #676717

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 Jun 2012 10:30:46 +0200

zerofree (1.0.1-4ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable (LP: #1009412). Remaining Changes:
    - debian/patches/01_fix-as-needed-linking.diff:  Move -lext2fs to the end of the linker call.

 -- Vibhav Pant <vibhavp@gmail.com>  Thu, 07 Jun 2012 21:35:06 +0530

zerofree (1.0.1-4) unstable; urgency=low

  * mention that zerofree works on ext4 file-systes also in the short
    description

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 03 Apr 2012 13:44:39 +0200

zerofree (1.0.1-3) unstable; urgency=low

  * Bug fix: clarify description and documentation, thanks to Ritesh Raj
    Sarraf (Closes: #542360), Christoph Anton Mitterer (Closes: #639301),
    Osamu Aoki (Closes: #562171).
  * Bug fix: "allow filling empty space with nonzero octets", thanks to
    Jacob Nevins (Closes: #600523).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 01 Apr 2012 22:43:32 +0200

zerofree (1.0.1-2ubuntu1) natty; urgency=low

  * debian/patches/01_fix-as-needed-linking.diff:
    Move -lext2fs to the end of the linker call. 

 -- Michael Bienia <geser@ubuntu.com>  Sun, 05 Dec 2010 13:45:55 +0100

=== debian/control ===
Source: zerofree
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5), e2fslibs-dev, docbook-to-man
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Homepage: http://intgat.tigress.co.uk/rmy/uml/index.html

Package: zerofree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zero free blocks from ext2, ext3 and ext4 file-systems
 Zerofree finds the unallocated blocks with non-zero value content in
 an ext2, ext3 or ext4 file-system and fills them with zeroes
 (zerofree can also work with another value than zero). This is mostly
 useful if the device on which this file-system resides is a disk
 image. In this case, depending on the type of disk image, a secondary
 utility may be able to reduce the size of the disk image after
 zerofree has been run. Zerofree requires the file-system to be
 unmounted or mounted read-only.
 .
 The usual way to achieve the same result (zeroing the unused
 blocks) is to run "dd" do create a file full of zeroes that takes up
 the entire free space on the drive, and then delete this file. This
 has many disadvantages, which zerofree alleviates:
  * it is slow;
  * it makes the disk image (temporarily) grow to its maximal extent;
  * it (temporarily) uses all free space on the disk, so other
    concurrent write actions may fail.
 .
 Zerofree has been written to be run from GNU/Linux systems installed
 as guest OSes inside a virtual machine. If this is not your case, you
 almost certainly don't need this package. (One other use case would
 be to erase sensitive data a little bit more securely than with a
 simple "rm").

## zerofree 1.0.3

=== debian/changelog ===
zerofree (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "Typo in package description", thanks to
    Pascal De Vuyst (Closes: #698563).
  * Check against standards version 3.9.5.
  * Update control (maintainer address, VCS fields).

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 31 Mar 2014 16:10:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -g
+-include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CC=gcc $(CFLAGS) $(LDFLAGS) $(CPPFLAGS)
 
-CC = gcc $(CFLAGS)
-
-build: build-stamp
-
+build: build-indep build-arch
+build-indep build-arch: build-stamp
 build-stamp: zerofree.c debian/zerofree.sgml
 	dh_testdir
 	$(MAKE) CC="$(CC)"

=== debian/watch ===
version=3
http://intgat.tigress.co.uk/rmy/uml/zerofree-(.*)\.tgz

## zerofree 1.0.4

=== debian/changelog ===
zerofree (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bug fix: "debian/watch URL needs an update", thanks to
    Igor (Closes: #844216).
  * Bug fix: "Output not explained", thanks to Joachim Breitner and Tiago
    Ilieve (Closes: #778579).
  * Fix FTCBFS: Pass triplet-prefixed CC to make, thanks
    to Helmut Grohne (Closes: #843218).
  * Check against Policy 3.9.8.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 14 Nov 2016 15:44:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: zerofree
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), e2fslibs-dev, docbook-to-man
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Homepage: http://intgat.tigress.co.uk/rmy/uml/index.html
+Maintainer: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper (>= 9), e2fslibs-dev, docbook-to-man
+Standards-Version: 3.9.8
+Vcs-Git:     https://anonscm.debian.org/collab-maint/zerofree.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/zerofree.git
+Homepage:    https://frippery.org/uml/
 
 Package: zerofree
 Architecture: any
@@ -22,7 +22,7 @@
  unmounted or mounted read-only.
  .
  The usual way to achieve the same result (zeroing the unused
- blocks) is to run "dd" do create a file full of zeroes that takes up
+ blocks) is to run "dd" to create a file full of zeroes that takes up
  the entire free space on the drive, and then delete this file. This
  has many disadvantages, which zerofree alleviates:
   * it is slow;

=== debian/rules ===
#!/usr/bin/make -f

# activate all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

# define DEB_HOST_GNU_TYPE also when calling debian/rules manually
ifeq ($(origin DEB_HOST_GNU_TYPE),undefined)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
endif

# use correct cross-compiler by default
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) CFLAGS="$(CFLAGS) $(LDFLAGS) $(CPPFLAGS)"
	docbook-to-man debian/zerofree.sgml > zerofree.8

=== debian/watch ===
version=3
http://frippery.org/uml/zerofree-(.*)\.tgz

## zerofree 1.1.1

=== debian/changelog ===
zerofree (1.1.1-1build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:54:54 +0100

zerofree (1.1.1-1build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:27:27 +0200

zerofree (1.1.1-1build1) groovy; urgency=medium

  * No change rebuild against new CET ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 18:30:39 +0100

zerofree (1.1.1-1) unstable; urgency=low

  * Bug fix: "new upstream version", thanks to Christoph Anton Mitterer
    (Closes: #892518).
  * Update VCS fields to salsa, use https in watch file, make lintian-clean.
  * Check against Policy 4.1.3.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 15 Mar 2018 12:50:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: zerofree
 Section: admin
-Priority: extra
-Maintainer: Thibaut Paumard <thibaut@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: debhelper (>= 9), e2fslibs-dev, docbook-to-man
-Standards-Version: 3.9.8
-Vcs-Git:     https://anonscm.debian.org/collab-maint/zerofree.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/zerofree.git
+Standards-Version: 4.1.3
+Vcs-Git:     https://salsa.debian.org/debian/zerofree.git
+Vcs-Browser: https://salsa.debian.org/debian/zerofree
 Homepage:    https://frippery.org/uml/
 
 Package: zerofree

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 # define DEB_HOST_GNU_TYPE also when calling debian/rules manually
-ifeq ($(origin DEB_HOST_GNU_TYPE),undefined)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-endif
+include /usr/share/dpkg/architecture.mk
 
 # use correct cross-compiler by default
-ifeq ($(origin CC),default)
-CC = $(DEB_HOST_GNU_TYPE)-gcc
-endif
+CC ?= $(DEB_HOST_GNU_TYPE)-gcc
 
 %:
 	dh $@
